Subject: bug#68985: 30.0.50; Gnus: Add option to disable display of logo image in mode-line

From: Manuel Giraud <[email-masked]>
Date: Fri, 09 Feb 2024 21:56:11 +0100

Eric Abrahamsen <[email-masked]> writes:

[...]

>> Hi,
>>
>> I did not know that passing nil to `find-image' would nuke the icon but
>> then, I think it is an even better idea:
>
> I was thinking we'd check the value of the option before passing it to
> `find-image'...

Ok, I thought it would work as is.

>>       - From the point of view of a user that do not want the icon, it
>>         would still be « set some custom to nil »
>>         
>>       - It would allow funky icons for those who wants them
>
> ...but yes this was the general idea.
>
>> We just have to have a name for this new custom.  I vote for
>> `gnus-mode-line-logo'.
>
> Sounds intuitive to me!

Good, thanks.  Mekeor would you like to give a try at this?
-- 
Manuel Giraud